#10 Bug for qucsator hang when simulation is aborted

Unstable_(example)
closed
Frans
qucsator (1)
5
2014-05-17
2013-11-04
Vadim Kusnetsov
No

Hello, Friends!

This bug is for Qucs0.0.17. If you abort long simulations by pressing button "Abort simulation", qucsator still running and not terminates. Qucsator terminates only after kill command. CPU load at this time is 100%. If I run new simulation, old qucsator processes still running until I kill them by command kill. I am using openSUSE12.2.

I fixed this bug by adding slot AbortSim() in file simmessage.cpp. This slot kills qucsator (SimProcess), when Abort button is pressed.

Files simmessage.cpp and simmesage.h, which contain my correction is attached.

1 Attachments

Related

Patches: #10

Discussion

  • Added simmessage.cpp and simmesage.h

     
    Attachments
  • Yes, my patch is for this bug. Also I offered pull request, which contains the same fix to github.com/fransschreuder/qucs repository. My pull request was merged today.

     
  • Frans
    Frans
    2013-11-04

    I have just merged the pull request in the main repository this morning,
    I want to test the fix before I we close it.

    Frans

    On 11/04/2013 10:26 AM, Vadim Kusnetsov wrote:

    Yes, my patch is for this bug. Also I offered pull request, which
    contains the same fix to github.com/fransschreuder/qucs repository. My
    pull request was merged today.


    [patches:#10] http://sourceforge.net/p/qucs/patches/10/ Bug for
    qucsator hang when simulation is aborted

    Status: open
    Labels: qucsator
    Created: Mon Nov 04, 2013 07:03 AM UTC by Vadim Kusnetsov
    Last Updated: Mon Nov 04, 2013 09:18 AM UTC
    Owner: Frans

    Hello, Friends!

    This bug is for Qucs0.0.17. If you abort long simulations by pressing
    button "Abort simulation", qucsator still running and not terminates.
    Qucsator terminates only after kill command. CPU load at this time is
    100%. If I run new simulation, old qucsator processes still running
    until I kill them by command kill. I am using openSUSE12.2.

    I fixed this bug by adding slot AbortSim() in file simmessage.cpp.
    This slot kills qucsator (SimProcess), when Abort button is pressed.

    Files simmessage.cpp and simmesage.h, which contain my correction is
    attached.


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/qucs/patches/10/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

     

    Related

    Patches: #10

  • Guilherme
    Guilherme
    2014-05-17

    • status: open --> closed